Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_TessMemberResultCallback_0_2< del, R, T, A1, A2 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _TessMemberResultCallback_0_2< del, R, T, A1, A2 >:

List of all members.

## Public Types

typedef TessResultCallback2< R, A1, A2 > | base
typedef R(T::* | MemberSignature )(A1, A2)

## Public Member Functions

| _TessMemberResultCallback_0_2 (T *object, MemberSignature member)
virtual R | Run (A1 a1, A2 a2)
Public Member Functions inherited from TessResultCallback2< R, A1, A2 >
virtual | ~TessResultCallback2 ()

## Detailed Description

### template<bool del, class R, class T, class A1, class A2>
class _TessMemberResultCallback_0_2< del, R, T, A1, A2 >

Definition at line 614 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class R, class T, class A1, class A2>

typedef TessResultCallback2<R,A1,A2> _TessMemberResultCallback_0_2< del, R, T, A1, A2 >::base

Definition at line 616 of file tesscallback.h.

template<bool del, class R, class T, class A1, class A2>

typedef R(T::* _TessMemberResultCallback_0_2< del, R, T, A1, A2 >::MemberSignature)(A1, A2)

Definition at line 617 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class R, class T, class A1, class A2>

_TessMemberResultCallback_0_2< del, R, T, A1, A2 >::_TessMemberResultCallback_0_2 | ( | T * | object,
|  | MemberSignature | member
| ) |  |

inline

Definition at line 624 of file tesscallback.h.

: object_(object),
member_(member) {
}

## Member Function Documentation

template<bool del, class R, class T, class A1, class A2>

virtual R _TessMemberResultCallback_0_2< del, R, T, A1, A2 >::Run | ( | A1 | a1,
|  | A2 | a2
| ) |  |

inlinevirtual

Implements TessResultCallback2< R, A1, A2 >.

Definition at line 630 of file tesscallback.h.

{
if (!del) {
R result = (object_->*member_)(a1,a2);
return result;
} else {
R result = (object_->*member_)(a1,a2);
// zero out the pointer to ensure segfault if used again
member_ = NULL;
delete this;
return result;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h